format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/978


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 25ebbcd
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 05da509408edcb6ddcd3cab3195b9fd8da374265
    - input_file: 'b-partial-2.diff'
      commit_sha1: fe40da14fd70ce6d3d9f0237bb3924f62a8950e1
    - input_file: 'b-partial-3.diff'
      commit_sha1: 16aa93bb3dec3ad228433ff83a785a364b309981
    - input_file: 'b-partial-4.diff'
      commit_sha1: c9ab420caabb579a37cf8a72ed32e912067c341c
    - input_file: 'b-partial-5.diff'
      commit_sha1: 21e8c12ce920b618f29b70edc715268f00ebf7f3
    - input_file: 'b-partial-6.diff'
      commit_sha1: a8560ada9b8147f1569ea5e95277479da45f47c0
    - input_file: 'b-partial-7.diff'
      commit_sha1: c8be4654067816a3748fe5346badef4e05e1e5c4

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: ad2191f62be4a67cc5773858708761514193b07a

options:
  language: C
